MONGOC_BULK_OPERATION_SET_CLIENT_SESSION(3)

NAME
mongoc_bulk_operation_set_client_session - mongoc_bulk_operation_set_client_session()

SYNOPSIS

        void
        mongoc_bulk_operation_set_client_session (
          mongoc_bulk_operation_t *bulk,
          mongoc_client_session_t *client_session);

Sets an explicit client session to use for the bulk operation.

It is an error to use a session for unacknowledged writes.

PARAMETERS

    •   bulk: A mongoc_bulk_operation_t.

    •   client_session: A mongoc_client_session_t. Must be derived from the same mongoc_client_t as bulk.

SEE ALSO

    •   mongoc_client_start_session()

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc